/***********************************************************************/
// Titel     	: ESP8266
//----------------------------------------------------------------------
// Beschreibung	: Daten per UART ber das WLAN-Modul ins Netzwerk senden.
//----------------------------------------------------------------------
// Autor     	: P. Fuhsy
/***********************************************************************/

//-----------------------------Includes---------------------------------
#include <avr/io.h>			//allg. Ports
#include <stdlib.h>			//Standard-Lib
#include <util/delay.h>		//fr Warteschleifen
#include <stdbool.h>		//fr Bool-Variablen
#include <string.h>			//zur Stringbearbeitung
#include "haa_bus.h"		//eigene Header
#include "esp8266.h"		//eigene Header
#include "uart.h"			//bertragung per UART
//----------------------------------------------------------------------

//-----------------------Konstanten / Variablen-------------------------

//--------------------------Funktionsdefinitionen-----------------------
void TCP_Laenge(uint8_t var0, uint8_t var1, uint8_t var2, uint8_t var3, uint8_t var4, uint8_t var5, uint8_t var6)		//Zeichenzhlen fr Anfrage ermitteln
{
 	char wert_chr[4];					//Variable zum wandeln

	//GET zusammensetzten
	memset(_get, '\0', sizeof(_get));	//Inhalte vom Array lschen
	strcat(_get, "GET ");
	strcat(_get, PHP_ZIEL);				//an Array anhngen	
	
	strcat(_get, "?b0=");				//an Array anhngen		
	itoa(var0, wert_chr, 10);			//Variable wandeln sonst wird die Lnge der Zeichen falsch gezhlt	
	strcat(_get, wert_chr);				//an Array anhngen
	strcat(_get, "&");

	strcat(_get, "b1=");				//an Array anhngen			
	itoa(var1, wert_chr, 10);			//Variable wandeln sonst wird die Lnge der Zeichen falsch gezhlt
	strcat(_get, wert_chr);				//an Array anhngen
	strcat(_get, "&");
	
	strcat(_get, "b2=");				//an Array anhngen	
	itoa(var2, wert_chr, 10);			//Variable wandeln sonst wird die Lnge der Zeichen falsch gezhlt
	strcat(_get, wert_chr);				//an Array anhngen
	strcat(_get, "&");

	strcat(_get, "b3=");				//an Array anhngen		
	itoa(var3, wert_chr, 10);			//Variable wandeln sonst wird die Lnge der Zeichen falsch gezhlt
	strcat(_get, wert_chr);				//an Array anhngen
	strcat(_get, "&");

	strcat(_get, "b4=");				//an Array anhngen		
	itoa(var4, wert_chr, 10);			//Variable wandeln sonst wird die Lnge der Zeichen falsch gezhlt
	strcat(_get, wert_chr);				//an Array anhngen
	strcat(_get, "&");
	
	strcat(_get, "b5=");				//an Array anhngen		
	itoa(var5, wert_chr, 10);			//Variable wandeln sonst wird die Lnge der Zeichen falsch gezhlt
	strcat(_get, wert_chr);				//an Array anhngen
	strcat(_get, "&");
	
	strcat(_get, "b6=");				//an Array anhngen		
	itoa(var6, wert_chr, 10);			//Variable wandeln sonst wird die Lnge der Zeichen falsch gezhlt
	strcat(_get, wert_chr);				//an Array anhngen
									
	strcat(_get, " HTTP/1.1");			//an Array anhngen
	strcat(_get, "\r\n");				//an Array anhngen
	
	//HOST zusammensetzten
	memset(_host, '\0', sizeof(_host));	//Inhalte vom Array lschen	
	strcat(_host, "Host: ");			//an Array anhngen
	strcat(_host, SERVER_IP);			//an Array anhngen
	strcat(_host, "\r\n\r\n");			//an Array anhngen	
	
	/*DEBUG: zusammengesetzes anzeigen
	putString(_get);					
	putString(_host);
	*/
	
	//Gesamtlnge ermitteln
	size_t i = strlen(_get) + strlen(_host);			//Stringlnge von Arrays ermitteln
	itoa(i, wert_chr, 10);			//Variable wandeln
	
	/*DEBUG: errmittelte Stringlnge anzeigen
	putString("#");						
	putString(wert_chr);						
	putString("#");
	*/

	//Array zusammensetzten
 	strcpy (_cipsend,"AT+CIPSEND=");
 	strcat(_cipsend, wert_chr);
 	strcat(_cipsend, "\r\n");
}
//----------------------------------------------------------------------