#ifndef _ESP_8266_H_
#define _ESP_8266_H_
//-----------------------Konstanten / Variablen-------------------------
//WLAN-Daten
#define SSID			"Fuhsy-WLAN-WZ"			//WLAN Netzwerk
#define WLAN_PASS		"xxxxxxxxxxxxxxxxxxx"	//WLAN Passwort
#define SERVER_IP		"192.168.1.100"			//IP-Adresse des Servers
#define SERVER_PORT		"80"					//Port des Servers
#define PHP_ZIEL		"/esp8266/haawrite.php"	//Ziel PHP die die gesendeten Daten in XML schreibt

//AT-Befehle
#define WORKS			("AT\r\n")											//Esp arbeitet
#define RESET			("AT+RST\r\n")										//ESP Software-Reset	
#define WIFI_AUTO_DIS	("AT+CWAUTOCONN=0\r\n")								//Automatisches WiFi-Connect ausschalten
#define WIFI_AUTO_CON	("AT+CWAUTOCONN=1\r\n")								//Automatisches WiFi-Connect einschalten
#define WIFI_LISTING	("AT+CWLAP\r\n")									//Verfgbare SSID's
#define WIFI_STA		("AT+CWMODE=1\r\n")									//WiFi-Verbindungsmodus Stand alone	
#define WIFI_JOIN		("AT+CWJAP=\"" SSID "\",\"" WLAN_PASS "\"\r\n")		//Mit Router verbinden TODO "Fail" auswerten
#define TCP_SINGLE_CON	("AT+CIPMUX=0\r\n")									//TCP/UDP Connetion Single
#define TCP_START		("AT+CIPSTART=\"TCP\",\"" SERVER_IP "\"," SERVER_PORT "\r\n")		//Mit Empfnger verbinden TODO "ERROR" auswerten
#define TCP_DISCONNECT	("AT+CIPCLOSE\r\n")									//TCP-Verbindung schliessen

char _get[100];				//globales Array fr den GET-Befehl (max. Zeichen bei Wert 7x 255)
char _host[25];				//globales Array fr den HOST-Befehl
char _gesuchte_antw[10];	//Stringpuffer fr fr die ESP-Antwort
char _cipsend[17];			//Stringpuffer fr die Zeichenlnge
//----------------------------------------------------------------------

//------------------------------Prototypen------------------------------								
void TCP_Laenge(uint8_t var0, uint8_t var1, uint8_t var2, uint8_t var3, uint8_t var4, uint8_t var5, uint8_t var6);
//----------------------------------------------------------------------
#endif